Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools
Interface KnowledgeBaseFactoryService

All Superinterfaces:
  Service

All Known Implementing Classes:
  ProcessBaseFactoryService

    public interface KnowledgeBaseFactoryService

extends Service

KnowledgeBaseFactoryService is the interface implemented by KnowledgeBaseFactory. This class is not considered stable and may change. Users are referred to the KnowledgeBaseFactory API, which is considered stable.

Method Summary
`Environment` | `newEnvironment()` Instantiate and return an Environment
`KnowledgeBase` | `newKnowledgeBase()` Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration
`KnowledgeBase` | `newKnowledgeBase(KnowledgeBaseConfiguration conf)` Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration
`KnowledgeBase` | `newKnowledgeBase(String kbaseId)` Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration and the given KnowledgeBase ID.
`KnowledgeBase` | `newKnowledgeBase(String kbaseId, KnowledgeBaseConfiguration conf)` Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration and the given KnowledgeBase ID.
`KnowledgeBaseConfiguration` | `newKnowledgeBaseConfiguration()` Instantiate and return a new KnowledgeBaseConfiguration
`KnowledgeBaseConfiguration` | `newKnowledgeBaseConfiguration(Properties properties, ClassLoader... classLoader)` Instantiate and return a new KnowledgeBaseConfiguration
`KnowledgeSessionConfiguration` | `newKnowledgeSessionConfiguration()` Instantiate and return a new KnowledgeSessionConfiguration
`KnowledgeSessionConfiguration` | `newKnowledgeSessionConfiguration(Properties properties)` Instantiate and return a new KnowledgeSessionConfiguration

Method Detail

### newKnowledgeBaseConfiguration

    KnowledgeBaseConfiguration newKnowledgeBaseConfiguration()

  Instantiate and return a new KnowledgeBaseConfiguration

  Returns:
    the KnowledgeBaseConfiguration

### newKnowledgeBaseConfiguration

    KnowledgeBaseConfiguration newKnowledgeBaseConfiguration(Properties properties,
                                                             ClassLoader... classLoader)

  Instantiate and return a new KnowledgeBaseConfiguration

  Parameters:
    `properties` - Properties file to process, can be null;
    `classLoader` - Provided ClassLoader, can be null and then ClassLoader defaults to Thread.currentThread().getContextClassLoader()
  Returns:
    The KnowledgeBaseConfiguration

### newKnowledgeSessionConfiguration

    KnowledgeSessionConfiguration newKnowledgeSessionConfiguration()

  Instantiate and return a new KnowledgeSessionConfiguration

  Returns:
    the KnowledgeSessionConfiguration

### newKnowledgeSessionConfiguration

    KnowledgeSessionConfiguration newKnowledgeSessionConfiguration(Properties properties)

  Instantiate and return a new KnowledgeSessionConfiguration

  Parameters:
    `properties` - Properties file to process, can be null;
    `classLoader` - Provided ClassLoader, can be null and then ClassLoader defaults to Thread.currentThread().getContextClassLoader()
  Returns:
    The KnowledgeSessionConfiguration

### newKnowledgeBase

    KnowledgeBase newKnowledgeBase()

  Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration

  Returns:
    The KnowledgeBase

### newKnowledgeBase

    KnowledgeBase newKnowledgeBase(String kbaseId)

  Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration and the given KnowledgeBase ID.

  Parameters:
    `kbaseId` - A string Identifier for the knowledge base. Specially useful when enabling JMX monitoring and management, as that ID will be used to compose the JMX ObjectName for all related MBeans. The application must ensure all kbase IDs are unique.
  Returns:
    The KnowledgeBase

### newKnowledgeBase

    KnowledgeBase newKnowledgeBase(KnowledgeBaseConfiguration conf)

  Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration

  Parameters:
    `conf` - The KnowledgeBaseConfiguration to be used
  Returns:
    The KnowledgeBase

### newKnowledgeBase

    KnowledgeBase newKnowledgeBase(String kbaseId,
                                   KnowledgeBaseConfiguration conf)

  Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration and the given KnowledgeBase ID.

  Parameters:
    `kbaseId` - A string Identifier for the knowledge base. Specially useful when enabling JMX monitoring and management, as that ID will be used to compose the JMX ObjectName for all related MBeans. The application must ensure all kbase IDs are unique.
    `conf` - The KnowledgeBaseConfiguration to be used
  Returns:
    The KnowledgeBase

### newEnvironment

    Environment newEnvironment()

  Instantiate and return an Environment

  Returns:
    The Environment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.